<?php

namespace App\Domain\Manga\Domain\Contract\Service;

use Symfony\Component\HttpFoundation\Response;

interface FileServiceInterface
{
    /**
     * Télécharge un fichier CBZ
     */
    public function downloadCbz(string $filePath, string $filename): Response;

    /**
     * Crée un fichier ZIP contenant plusieurs CBZ
     * @param array<string> $cbzPaths
     */
    public function createVolumeCbz(array $cbzPaths, string $volumeName): Response;

    /**
     * Supprime un fichier CBZ du système de fichiers
     */
    public function deleteCbzFile(string $filePath): bool;

    /**
     * Vérifie si un fichier CBZ existe
     */
    public function cbzExists(string $filePath): bool;
}
